Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class AbstractEndpointURIBuilder

    java.lang.Object
      org.mule.endpoint.AbstractEndpointURIBuilder

All Implemented Interfaces:
  EndpointURIBuilder

Direct Known Subclasses:
  FileEndpointURIBuilder, JdbcEndpointURIBuilder, ResourceNameEndpointURIBuilder, SocketEndpointURIBuilder, UrlEndpointURIBuilder, UserInfoEndpointURIBuilder, WsdlUrlEndpointURIBuilder

    public abstract class AbstractEndpointURIBuilder

extends Object
implements EndpointURIBuilder

`UrlEndpointURIBuilder` is the default endpointUri strategy suitable for most connectors

Field Summary
`protected String` | `address`
`protected String` | `connectorName`
`protected String` | `endpointName`
`protected String` | `responseTransformers`
`protected String` | `transformers`
`protected String` | `userInfo`

Constructor Summary
`AbstractEndpointURIBuilder()`

Method Summary
`EndpointURI` | `build(URI uri, MuleContext muleContext)`
`protected Properties` | `getPropertiesForURI(URI uri, MuleContext muleContext)`
`protected void` | `rewriteURI(URI newURI)`
`protected abstract void` | `setEndpoint(URI uri, Properties props)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### address

    protected String address

### endpointName

    protected String endpointName

### connectorName

    protected String connectorName

### transformers

    protected String transformers

### responseTransformers

    protected String responseTransformers

### userInfo

    protected String userInfo

Constructor Detail

### AbstractEndpointURIBuilder

    public AbstractEndpointURIBuilder()

Method Detail

### build

    public EndpointURI build(URI uri,
                             MuleContext muleContext)
                      throws MalformedEndpointException

  Specified by:
    `build` in interface `EndpointURIBuilder`
  Throws:
    `MalformedEndpointException`

### rewriteURI

    protected void rewriteURI(URI newURI)

### setEndpoint

    protected abstract void setEndpoint(URI uri,
                                        Properties props)
                                 throws MalformedEndpointException

  Throws:
    `MalformedEndpointException`

### getPropertiesForURI

    protected Properties getPropertiesForURI(URI uri,
                                             MuleContext muleContext)
                                      throws MalformedEndpointException

  Throws:
    `MalformedEndpointException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.